# -*- coding: utf-8 -*-
from __future__ import unicode_literals

import logging

from driverng.drivers.hprim_spec import Driver as BaseDriverHprim

logger = logging.getLogger("driverng.hprim")


class Driver(BaseDriverHprim):
    SPEC = {"code": "hprim_veto", "label": "Hprim 2.1 (Veto'xpert)"}

    def _add_custom_info_patient(self, segment, patient):
        segment.animal_breed_code = patient.animal_breed_code
