# -*- coding: utf-8 -*-
from __future__ import unicode_literals

import logging

from driverng.drivers.bacexpress_spec import Driver as BaseDriverBacexpress

logger = logging.getLogger("driverng.hprim")


class Driver(BaseDriverBacexpress):
    SPEC = {"code": "bacexpress_veto", "label": "Hprim 2.4 (Veto'xpert bacteriologie)"}

    def _add_custom_info_patient(self, segment, patient):
        segment.animal_breed_code = patient.animal_breed_code
